#ifndef macrolib_macrolib_functions_INCLUDED
#define macrolib_macrolib_functions_INCLUDED
#if defined(__GNUC__) && defined(unix)
#  pragma interface "macrolib_macrolib_functions.hpp"
#endif
#ifndef macrolib_macrolib_functions_export
#  if defined(_WIN32) && !defined(unix)
#    define macrolib_macrolib_functions_export __declspec(dllimport)
#  else
#    define macrolib_macrolib_functions_export
#  endif
#endif
#include "std_standard.hpp"
using namespace STD;
#include "ieee_electrical_systems.hpp"
using namespace IEEE;
#include "ieee_math_real.hpp"
using namespace IEEE;
#include "std_textio.hpp"
using namespace STD;
namespace MACROLIB
{
extern macrolib_macrolib_functions_export STANDARD_REAL_VECTOR MACROLIB_FUNCTIONS_RESIZE_REAL_VECTOR_INTEGER_REAL_VECTOR(const STANDARD_REAL_VECTOR &, const long );
extern macrolib_macrolib_functions_export double MACROLIB_FUNCTIONS_FILEREAD_STRING_STRING_REAL_REAL(const STANDARD_STRING &, const STANDARD_STRING &, const double );
extern macrolib_macrolib_functions_export STANDARD_REAL_VECTOR MACROLIB_FUNCTIONS_FILEREAD_STRING_STRING_REAL_VECTOR_INTEGER_REAL_VECTOR(const STANDARD_STRING &, const STANDARD_STRING &, const STANDARD_REAL_VECTOR &, const long );
extern macrolib_macrolib_functions_export double MACROLIB_FUNCTIONS_LOOKUP_REAL_REAL_VECTOR_REAL_VECTOR_STRING_REAL(const double , const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &, const STANDARD_STRING &);
extern macrolib_macrolib_functions_export long MACROLIB_FUNCTIONS_FINDCOMMONLENGTH_REAL_REAL_VECTOR_REAL_VECTOR_REAL_VECTOR_REAL_VECTOR_INTEGER(const double , const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &);
extern macrolib_macrolib_functions_export long MACROLIB_FUNCTIONS_FINDCOMMONLENGTH_REAL_REAL_VECTOR_REAL_VECTOR_INTEGER(const double , const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &);
extern macrolib_macrolib_functions_export STANDARD_REAL_VECTOR MACROLIB_FUNCTIONS_COMMONTIME_INTEGER_REAL_REAL_VECTOR_REAL_VECTOR_REAL_VECTOR_REAL_VECTOR_REAL_VECTOR(const long , const double , const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &);
extern macrolib_macrolib_functions_export STANDARD_REAL_VECTOR MACROLIB_FUNCTIONS_COMMONTIME_INTEGER_REAL_REAL_VECTOR_REAL_VECTOR_REAL_VECTOR(const long , const double , const STANDARD_REAL_VECTOR &, const STANDARD_REAL_VECTOR &);
extern "C" macrolib_macrolib_functions_export short MACROLIB_MACROLIB_FUNCTIONS_Elaborate(long);
extern "C" macrolib_macrolib_functions_export short MACROLIB_MACROLIB_FUNCTIONS_AmsLink(long, long **);
extern "C" macrolib_macrolib_functions_export short MACROLIB_MACROLIB_FUNCTIONS_AmsBim(long, TRANS_PARAM_BIM *, long **);
extern "C" macrolib_macrolib_functions_export short MACROLIB_MACROLIB_FUNCTIONS_AmsConverge(long, long **, double *, unsigned char *, ANALYSISTYPE);
extern "C" macrolib_macrolib_functions_export void MACROLIB_MACROLIB_FUNCTIONS_Initialize(long);
extern "C" macrolib_macrolib_functions_export void MACROLIB_MACROLIB_FUNCTIONS_Finalize(void);
extern "C" macrolib_macrolib_functions_export void MACROLIB_MACROLIB_FUNCTIONS_InitializeBody(long);
extern "C" macrolib_macrolib_functions_export void MACROLIB_MACROLIB_FUNCTIONS_FinalizeBody(void);
}
#endif /* macrolib_macrolib_functions_INCLUDED */
